FruxonDocs
AgentsAssets

Creates an asset from a configuration dictionary.

The accepted config keys and their requirements are defined by the source type descriptor returned from the `source-types` endpoint.

POST
/v1/tenants/{tenant}/agents/{agent}/assets

Path Parameters

agent*string

The unique identifier of the agent.

tenant*string

The tenant identifier

The source type and configuration parameters.

type*string|null

Asset source type key (e.g. 'confluence', 'github', 'jira', 'google_drive', 'notion', 'zendesk'). Must match a key returned by the :source-types endpoint.

parameters*|null

Flat key-value config map. Keys are camelCase property names from the matching Fruxon.Server.Controllers.AssetTypeDescriptor.Properties list. Boolean values must be 'true' or 'false'.

[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/agents/string/assets" \  -H "Content-Type: application/json" \  -d '{    "type": "string",    "parameters": {      "property1": "string",      "property2": "string"    }  }'
{
  "asset": {
    "id": "00000000-0000-0000-0000-000000000000",
    "agentId": "string",
    "name": "string",
    "status": 0,
    "documentCount": 0,
    "createdAt": 0,
    "modifiedAt": 0,
    "processedAt": 0,
    "errorMessage": "string"
  },
  "webhook": {
    "id": "00000000-0000-0000-0000-000000000000",
    "ragDocumentId": "00000000-0000-0000-0000-000000000000",
    "agentId": "string",
    "source": 0,
    "webhookUrl": "string",
    "expiresAt": 0,
    "createdAt": 0
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
Empty